System.Web 2.0.0.0

Page developers and control authors do not use the interface. The interface is implemented by designer tool developers to supply control builders in the design environment.

The is a container for one or more objects, which in turn supply the objects that apply themes and control skins to controls when they are created in a designer. An instance of the class can be accessed from a given instance using its property.

Provides an interface that designer tool developers can use to supply a set of objects, which can be used to apply themes and control skins to controls in a design-time environment.

- Method
  System.Web.UI.ThemeProvider[] To be added.

  Gets an of objects.

  An of objects associated with the current .

  2.0.0.0
- Method
  System.Web.UI.ThemeProvider To be added.

  Gets a object that represents the customization theme from a style sheet.

  A that represents the page theme that is applied to a control built by the .

  2.0.0.0
- Method
  System.Web.UI.ThemeProvider To be added.

  Gets a object that represents the customization theme on an ASP.NET page.

  A that represents the page theme that is applied to a control built by the .

  2.0.0.0